View Issue Details

IDProjectCategoryView StatusLast Update
0013203ScribusTranslationpublic2015-10-03 20:18
Reporterbubu Assigned Tocbradney  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.5.1svn 
Target Version1.5.1Fixed in Version1.5.1svn 
Summary0013203: Dummy Placeholder texts in translation files
DescriptionSwitching to Transifex I found some dummy, placeholder texts in translation strings. There are very annoying for translators.
- Can you delete these strings?
- Or can you annotate these strings for translators?


"DockWidget"
/scribus/ui/aligndistribute.ui 14
https://github.com/scribusproject/scribus/blob/master/scribus/ui/aligndistribute.ui#L14

"Doc Page Range"
scribus/ui/createrange.ui 44
https://github.com/scribusproject/scribus/blob/master/scribus/ui/createrange.ui#L44
"Page Order"
scribus/ui/createrange.ui 362
https://github.com/scribusproject/scribus/blob/master/scribus/ui/createrange.ui#L362

"TextLabel"
scribus/plugins/export/pixmapexport/exportform.ui 191
https://github.com/scribusproject/scribus/blob/master/scribus/plugins/export/pixmapexport/exportform.ui#L191
scribus/plugins/import/pdf/pdfimportoptions.ui 44
https://github.com/scribusproject/scribus/blob/master/scribus/plugins/import/pdf/pdfimportoptions.ui#L44
scribus/ui/smcstylewidget.ui 244, 273, 302, 403, 422, 462, 481
https://github.com/scribusproject/scribus/blob/master/scribus/ui/smcstylewidget.ui#L244
https://github.com/scribusproject/scribus/blob/master/scribus/ui/smcstylewidget.ui#L273
https://github.com/scribusproject/scribus/blob/master/scribus/ui/smcstylewidget.ui#L302
https://github.com/scribusproject/scribus/blob/master/scribus/ui/smcstylewidget.ui#L403
https://github.com/scribusproject/scribus/blob/master/scribus/ui/smcstylewidget.ui#L422
https://github.com/scribusproject/scribus/blob/master/scribus/ui/smcstylewidget.ui#L462
https://github.com/scribusproject/scribus/blob/master/scribus/ui/smcstylewidget.ui#L481


scribus/plugins/import/xps/xpsimportoptions.ui 44
https://github.com/scribusproject/scribus/blob/master/scribus/plugins/import/xps/xpsimportoptions.ui#L44
scribus/ui/smcellstylewidget.ui 52
https://github.com/scribusproject/scribus/blob/master/scribus/ui/smcellstylewidget.ui#L52

"scriptname.py"
scribus/plugins/scripter/python/permitdlg.ui 29
https://github.com/scribusproject/scribus/blob/master/scribus/plugins/scripter/python/permitdlg.ui#L29
"< !DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0//EN" "http://www.w3.org/TR/REC-html40/strict.dtd">? < html >< head >< meta name="qrichtext" content="1" />< style type="text/css">? p, li { white-space: pre-wrap; }? </style></head><body style=" font-family:'DejaVu Sans'; font-size:8pt; font-weight:400; font-style:normal;">? < p style="-qt-paragraph-type:empty; margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:'Sans Serif';">< /p >< /body >< /html >"

scribus/plugins/scripter/python/permitdlg.ui 42
https://github.com/scribusproject/scribus/blob/master/scribus/plugins/scripter/python/permitdlg.ui#L42-L48

"pageLayoutButtonGroup"
scribus/ui/prefs_documentsetupbase.ui 232, 242, 252, 265
https://github.com/scribusproject/scribus/blob/master/scribus/ui/prefs_documentsetupbase.ui#L232
https://github.com/scribusproject/scribus/blob/master/scribus/ui/prefs_documentsetupbase.ui#L242
https://github.com/scribusproject/scribus/blob/master/scribus/ui/prefs_documentsetupbase.ui#L252
https://github.com/scribusproject/scribus/blob/master/scribus/ui/prefs_documentsetupbase.ui#L265


"scalingButtonGroup"
scribus/ui/prefs_itemtoolsbase.ui 809, 887
https://github.com/scribusproject/scribus/blob/master/scribus/ui/prefs_itemtoolsbase.ui#L809
https://github.com/scribusproject/scribus/blob/master/scribus/ui/prefs_itemtoolsbase.ui#L887

"previewButtonGroup"
scribus/ui/prefs_itemtoolsbase.ui 940, 950, 960
https://github.com/scribusproject/scribus/blob/master/scribus/ui/prefs_itemtoolsbase.ui#L940
https://github.com/scribusproject/scribus/blob/master/scribus/ui/prefs_itemtoolsbase.ui#L950
https://github.com/scribusproject/scribus/blob/master/scribus/ui/prefs_itemtoolsbase.ui#L960

"textFlowBtnGroup"
scribus/ui/propertiespalette_shapebase.ui 129, 154, 179, 204, 229
https://github.com/scribusproject/scribus/blob/master/scribus/ui/propertiespalette_shapebase.ui#L129
https://github.com/scribusproject/scribus/blob/master/scribus/ui/propertiespalette_shapebase.ui#L154
https://github.com/scribusproject/scribus/blob/master/scribus/ui/propertiespalette_shapebase.ui#L179
https://github.com/scribusproject/scribus/blob/master/scribus/ui/propertiespalette_shapebase.ui#L204
https://github.com/scribusproject/scribus/blob/master/scribus/ui/propertiespalette_shapebase.ui#L229
"flopGroup"
scribus/ui/propertywidget_flopbase.ui 29, 39, 49, 59
https://github.com/scribusproject/scribus/blob/master/scribus/ui/propertywidget_flopbase.ui#L29
https://github.com/scribusproject/scribus/blob/master/scribus/ui/propertywidget_flopbase.ui#L39
https://github.com/scribusproject/scribus/blob/master/scribus/ui/propertywidget_flopbase.ui#L49
https://github.com/scribusproject/scribus/blob/master/scribus/ui/propertywidget_flopbase.ui#L59
TagsNo tags attached.
PatchNo

Relationships

related to 0013220 closedcbradney Uniformity of UI and translations 
related to 0013264 new Full HTML markup in translations strings for word wrapping (in trunk) 

Activities

bubu

2015-07-04 20:47

reporter  

Transifex.png (133,225 bytes)
Transifex.png (133,225 bytes)

bubu

2015-07-04 20:51

reporter  

Page Order.png (259,147 bytes)
Page Order.png (259,147 bytes)

Kunda

2015-07-06 14:27

manager   ~0035663

Thanks bubu for compiling these.

Kunda

2015-07-08 16:53

manager   ~0035694

Adding this to 1.5.1 because right now folks are translating Scribus in to several more languages. Best to have a clean source language file for that.

Kunda

2015-07-15 12:12

manager   ~0035794

I've associated links directly to the code in question for each placeholder.

Kunda

2015-07-24 13:42

manager   ~0035877

Request for comment

cbradney

2015-07-24 21:38

administrator   ~0035884

Some fix, others cannot be fixed.

bubu

2015-07-24 23:02

reporter   ~0035885

Summarizing...
Resolved:
- DockWidget
- Doc Page Range
- TextLabel
- Page Order
Not resolved:
- scriptname.py
- < !DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0//EN" ...
- pageLayoutButtonGroup
- scalingButtonGroup
- previewButtonGroup
- textFlowBtnGroup
- flopGroup

Kunda

2015-07-27 20:51

manager   ~0035913

strikethrough the items that were done.

Kunda

2015-07-27 20:53

manager   ~0035914

Craig, did you perhaps as an alternative to fixing the ones that couldn't be fixed, instead annotate said strings for the translators ?

Kunda

2015-09-14 18:12

manager   ~0036225

bump

cbradney

2015-09-14 22:19

administrator   ~0036238

Nothing we can do about button groups, the names should not be translatable, and we cannot annotate.

"pageLayoutButtonGroup"
scribus/ui/prefs_documentsetupbase.ui 232, 242, 252, 265


"scalingButtonGroup"
scribus/ui/prefs_itemtoolsbase.ui 809, 887


"previewButtonGroup"
scribus/ui/prefs_itemtoolsbase.ui 940, 950, 960


"textFlowBtnGroup"
scribus/ui/propertiespalette_shapebase.ui 129, 154, 179, 204, 229

scribus/ui/propertywidget_flopbase.ui 29, 39, 49, 59

Kunda

2015-09-23 13:44

manager   ~0036343

Is there a way to mention in the the code that those code segments should not be translated ?

Issue History

Date Modified Username Field Change
2015-07-04 20:47 bubu New Issue
2015-07-04 20:47 bubu File Added: Transifex.png
2015-07-04 20:52 bubu File Added: Page Order.png
2015-07-06 14:27 Kunda Note Added: 0035663
2015-07-06 14:27 Kunda Product Version => 1.5.1svn
2015-07-06 14:27 Kunda Summary Placeholder texts => Dummy Placeholder texts in translation files
2015-07-08 16:53 Kunda Note Added: 0035694
2015-07-08 16:53 Kunda Target Version => 1.5.1
2015-07-09 17:47 Kunda Relationship added related to 0013220
2015-07-15 11:57 Kunda Description Updated View Revisions
2015-07-15 12:03 Kunda Description Updated View Revisions
2015-07-15 12:09 Kunda Description Updated View Revisions
2015-07-15 12:10 Kunda Description Updated View Revisions
2015-07-15 12:12 Kunda Description Updated View Revisions
2015-07-15 12:12 Kunda Note Added: 0035794
2015-07-24 13:42 Kunda Note Added: 0035877
2015-07-24 21:38 cbradney Note Added: 0035884
2015-07-24 21:38 cbradney Status new => resolved
2015-07-24 21:38 cbradney Fixed in Version => 1.5.1svn
2015-07-24 21:38 cbradney Resolution open => fixed
2015-07-24 21:38 cbradney Assigned To => cbradney
2015-07-24 23:02 bubu Note Added: 0035885
2015-07-27 20:51 Kunda Note Added: 0035913
2015-07-27 20:51 Kunda Description Updated View Revisions
2015-07-27 20:53 Kunda Note Added: 0035914
2015-07-28 16:05 Kunda Relationship added related to 0013264
2015-08-11 22:00 FirasH Relationship added has duplicate 0013292
2015-08-11 22:00 FirasH Relationship deleted has duplicate 0013292
2015-09-14 18:12 Kunda Note Added: 0036225
2015-09-14 22:19 cbradney Note Added: 0036238
2015-09-23 13:44 Kunda Note Added: 0036343
2015-10-03 20:18 cbradney Status resolved => closed